<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rollback Method (IEdmEnumeratorVersion5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVersion5 Interface : Rollback Method (IEdmEnumeratorVersion5)

Visual Basic
C#
C++/CLI

lVersionNo
  Version number to which to roll this file back (see Remarks)

Obsolete. Superseded by IEdmEnumeratorVersion6::Rollback2 .

# Syntax

Visual Basic |
--- | ---

    Sub Rollback( _
       ByVal lVersionNo As System.Integer _
    )

C# |
--- | ---

    void Rollback(
       System.int lVersionNo
    )

C++/CLI |
--- | ---

    void Rollback(
    &   System.int lVersionNo
    )

#### Parameters

lVersionNo
  Version number to which to roll this file back (see Remarks)

# Remarks

This method destroys all versions after the version specified by lVersionNo. There is no undoing of the operation short of restoring a backup of the entire database and file archives.

After this method completes successfully, lVersionNo is the new latest version of the file.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_REVISION_NUMBER: The specified version number is out of bounds.
- E_EDM_PERMISSION_DENIED: The user lacks permission to delete files.

# See Also

####

IEdmEnumeratorVersion5 Interface
IEdmEnumeratorVersion5 Members
IEdmVersion5::Rollback Method ()
IEdmRevision5::Rollback Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2